NodeRings Docs

Retry Payment

POST
/v1/subscriptions:retry-payment
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

subscriptionId?string
paymentMethodId?string

Response Body

application/json

curl -X POST "https://api.nrings.io/v1/subscriptions:retry-payment" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}" \  -H "Content-Type: application/json" \  -d '{  "subscriptionId": "string",  "paymentMethodId": "string"}'
{
  "subscription": {
    "id": "string",
    "startDate": "2019-08-24T14:15:22Z",
    "trialEndDate": "2019-08-24T14:15:22Z",
    "currentPeriodStart": "2019-08-24T14:15:22Z",
    "currentPeriodEnd": "2019-08-24T14:15:22Z",
    "canceledAt": "2019-08-24T14:15:22Z",
    "subscriptionStatus": "SUBSCRIPTION_STATUS_UNSPECIFIED",
    "cancelAtPeriodEnd": true,
    "quantity": 0,
    "organization": "string",
    "organizationName": "string",
    "activatedByUser": "string",
    "plan": "string",
    "planName": "string",
    "planCode": "string",
    "resourceHostname": "string",
    "resourceProviderName": "string",
    "resourceVmId": "string",
    "resourceRegionName": "string",
    "resourceCpu": 0,
    "resourceMemory": 0,
    "resourceStorage": 0,
    "planBillingPeriod": "BILLING_PERIOD_UNSPECIFIED",
    "platformFeeId": "string",
    "platformFeeType": "string",
    "platformFeePercent": 0.1,
    "platformFeeCurrency": "string",
    "metadata": {},
    "status": "STATUS_UNSPECIFIED",
    "timestamps": {
      "createTime": "2019-08-24T14:15:22Z",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  },
  "transactionId": "string",
  "paymentStatus": "string",
  "taskId": "string"
}